﻿using UnityEngine;
using UnityEngine.UI;


namespace hry.labs.Control
{
    /// <summary>
    /// When the object is created it fills the text score with current game score.
    /// When enabled/disabled listener is registered/removed.
    /// </summary>
    public class Score : MonoBehaviour
    {

        public Text scoreText;
        public Utility.IntVariable score;

        private void Update()
        {
            scoreText.text = score.variable.ToString();
        }

        public void ScoreIncreased()
        {
            score.variable += 1;
        }
    }

}