﻿using System.Collections;
using UnityEngine;

namespace hry.labs.Control
{

    public class SpawnPoint : MonoBehaviour
    {

        public float spawnDelay = 5.0f;
        public GameObject spawnPrefab;


        private void OnEnable()
        {
            StartCoroutine("Spawn");
        }

        private void OnDisable()
        {
            StopCoroutine("Spawn");
        }


        IEnumerator Spawn()
        {
            while(enabled)
            {
                Instantiate<GameObject>(spawnPrefab, transform.position, transform.rotation);
                yield return new WaitForSeconds(spawnDelay);
            }
        }

    }

}