﻿using UnityEngine;
using UnityEngine.Events;

namespace hry.labs.Events
{

    public class GameEventListener : MonoBehaviour
    {

        public GameEvent gameEvent;
        public UnityEvent action;


        private void OnEnable()
        {
            gameEvent.Register(this);   
        }

        private void OnDisable()
        {
            gameEvent.Remove(this);
        }

        public void OnEventRaised()
        {
            action.Invoke();
        }

    }

}