﻿using UnityEngine;

namespace hry.labs.NPC.AI.Steering
{

    [CreateAssetMenu(fileName = "Seek", menuName = "Steering/Seek")]
    public class Seek : Steer
    {

        public override Vector3 Act(SteeringAgent agent)
        {
            return (agent.target.variable - agent.transform.position).normalized;
        }

#if UNITY_EDITOR
        public override void DrawGizmo(SteeringAgent agent)
        {
            Gizmos.color = Color.yellow;
            Gizmos.DrawLine(agent.transform.position, agent.transform.position + (agent.target.variable - agent.transform.position).normalized);
        }
#endif
    }

}