﻿using UnityEngine;

namespace hry.labs.Utility
{
    [CreateAssetMenu(fileName ="FloatVariable", menuName ="Variables/Float Variable")]
    public class FloatVariable : ScriptableObject, ISerializationCallbackReceiver
    {

        public float defaultValue;

        [System.NonSerialized]
        public float variable;


        public void OnEnable()
        {
            variable = defaultValue;
        }

        public void OnAfterDeserialize()
        {
            variable = defaultValue;
        }

        public void OnBeforeSerialize()
        {
        }
    }

}