﻿using UnityEngine;

namespace hry.labs.Utility
{

    public class IVariable<T> : ScriptableObject, ISerializationCallbackReceiver
    {

        public T defaultValue;

        //[System.NonSerialized]
        public T variable;


        public void OnEnable()
        {
            variable = defaultValue;
        }

        public void OnAfterDeserialize()
        {
            variable = defaultValue;
        }

        public void OnBeforeSerialize()
        {
        }
    }

}