﻿using System.Collections;
using UnityEngine;

namespace hry.labs.Control
{

    public class Timer : MonoBehaviour
    {

        public Events.GameEvent timerEnded;
        public float timerSeconds = 30.0f;


        private void OnEnable()
        {
            StartCoroutine("RunTimer");
        }

        IEnumerator RunTimer()
        {
            yield return new WaitForSeconds(timerSeconds);
            timerEnded.Invoke();
        }

        private void OnDisable()
        {
            StopCoroutine("RunTimer");
        }
    }

}