﻿using UnityEngine;

namespace hry.labs.NPC.AI.Actions
{

    [CreateAssetMenu(fileName = "Attack", menuName = "Actions/Attack")]
    public class Attack : Action
    {

        public override void Act(PlanningAgent agent)
        {
            if (Vector3.Distance(agent.target.variable, agent.transform.position) < agent.attackRadius.variable)
                agent.laserGun.ShootLaser(agent.target.variable + Vector3.up, 0.0f);
        }

#if UNITY_EDITOR
        public override void DrawGizmo(PlanningAgent agent)
        {

        }
#endif

    }

}