﻿using System.Collections.Generic;

namespace hry.labs.NPC.AI.Actions
{

    public class PlanningAgent : Agent
    {

        public List<Action> actions = new List<Action>();
        public Combat.LaserGun laserGun;
        public Utility.Vector3Variable target;
        public Utility.FloatVariable wanderRadius;
        public Utility.FloatVariable wanderSphereDistance;
        public Utility.FloatVariable attackRadius;
#if UNITY_EDITOR
        public bool drawGizmos = true;
#endif

        private void Update()
        {
            foreach (var a in actions)
            {
                a.Act(this);
            }
        }

#if UNITY_EDITOR
        private void OnDrawGizmos()
        {
            if (drawGizmos)
            {
                foreach (var a in actions)
                {
                    a.DrawGizmo(this);
                }
            }
        }
#endif
    }

}